// PR_14_17.cpp : Defines the entry point for the console application.
//


#include "stdafx.h"
#include <iostream>
#include <conio.h>
using namespace std;

 class aparat {
protected:
   int masa;
   float ognisko;
   bool flash;
};
class aparat_cyfra : public aparat {
public:
   void ustaw(float,bool,int,float,bool);
   void odczyt();
private:
   float piksel;
   bool film;
};
class aparat_klisza : public aparat {
public:
   void ustaw(bool,bool,int,float,bool);
   void odczyt();
private:
   bool koddx;
   bool rewind;
};

void aparat_cyfra::ustaw(float a,bool b,int c,float d,bool e) {
   piksel=a;film=b;masa=c;ognisko=d;flash=e;
}

void aparat_cyfra::odczyt() {
   cout<<"Aparat cyfrowy"<<"\n";
   cout<<"Ile Mpikseli:"<<piksel<<"\n";
   cout<<"Nagrywa film:"<<film<<"\n";
   cout<<"Masa aparatu:"<<masa<<"\n";
   cout<<"Max ogniskowa:"<<ognisko<<"\n";
   cout<<"Lampa:"<<flash<<"\n\n";
}

void aparat_klisza::ustaw(bool a,bool b,int c,float d,bool e) {
   koddx=a;rewind=b;masa=c;ognisko=d;flash=e;
}

void aparat_klisza::odczyt() {
   cout<<"Aparat na klisze"<<"\n";
   cout<<"Czyta kody dx:"<<koddx<<"\n";
   cout<<"Funkcja rewind:"<<rewind<<"\n";
   cout<<"Masa aparatu:"<<masa<<"\n";
   cout<<"Max ogniskowa:"<<ognisko<<"\n";
   cout<<"Lampa:"<<flash<<"\n\n";
}
int _tmain(int argc, _TCHAR* argv[]) {
	  aparat_klisza aparat1;
   aparat1.ustaw(1,1,350,130,1);
   aparat1.odczyt();
   aparat_cyfra aparat2;
   aparat2.ustaw(3.1,1,300,120,1);
   aparat2.odczyt();
   getch();
   return 0;
}

